Runtime

## org.eclipse.gmf.runtime.notation
Interface NotationFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  NotationFactoryImpl

public interface NotationFactory
extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `NotationPackage`
** Generated **

Field Summary
`static NotationFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`Bounds` `createBounds()` Returns a new object of class 'Bounds'
`CanonicalStyle` `createCanonicalStyle()` Returns a new object of class 'Canonical Style'
`ConnectorStyle` `createConnectorStyle()` Returns a new object of class 'Connector Style'
`DescriptionStyle` `createDescriptionStyle()` Returns a new object of class 'Description Style'
`Diagram` `createDiagram()` Returns a new object of class 'Diagram'
`DiagramStyle` `createDiagramStyle()` Returns a new object of class 'Diagram Style'
`DrawerStyle` `createDrawerStyle()` Returns a new object of class 'Drawer Style'
`Edge` `createEdge()` Returns a new object of class 'Edge'
`FillStyle` `createFillStyle()` Returns a new object of class 'Fill Style'
`FilteringStyle` `createFilteringStyle()` Returns a new object of class 'Filtering Style'
`FontStyle` `createFontStyle()` Returns a new object of class 'Font Style'
`Guide` `createGuide()` Returns a new object of class 'Guide'
`GuideStyle` `createGuideStyle()` Returns a new object of class 'Guide Style'
`IdentityAnchor` `createIdentityAnchor()` Returns a new object of class 'Identity Anchor'
`Image` `createImage()` Returns a new object of class 'Image'
`ImageBufferStyle` `createImageBufferStyle()` Returns a new object of class 'Image Buffer Style'
`ImageStyle` `createImageStyle()` Returns a new object of class 'Image Style'
`LineStyle` `createLineStyle()` Returns a new object of class 'Line Style'
`Location` `createLocation()` Returns a new object of class 'Location'
`Node` `createNode()` Returns a new object of class 'Node'
`PageStyle` `createPageStyle()` Returns a new object of class 'Page Style'
`Ratio` `createRatio()` Returns a new object of class 'Ratio'
`RelativeBendpoints` `createRelativeBendpoints()` Returns a new object of class 'Relative Bendpoints'
`RoutingStyle` `createRoutingStyle()` Returns a new object of class 'Routing Style'
`ShapeStyle` `createShapeStyle()` Returns a new object of class 'Shape Style'
`Size` `createSize()` Returns a new object of class 'Size'
`SortingStyle` `createSortingStyle()` Returns a new object of class 'Sorting Style'
`TitleStyle` `createTitleStyle()` Returns a new object of class 'Title Style'
`NotationPackage` `getNotationPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    public static final NotationFactory eINSTANCE

  The singleton instance of the factory.

  ** Generated **

Method Detail

### createEdge

    public Edge createEdge()

  Returns a new object of class 'Edge'.

  Returns:
    a new object of class 'Edge'.
  ** Generated **

### createNode

    public Node createNode()

  Returns a new object of class 'Node'.

  Returns:
    a new object of class 'Node'.
  ** Generated **

### createFillStyle

    public FillStyle createFillStyle()

  Returns a new object of class 'Fill Style'.

  Returns:
    a new object of class 'Fill Style'.
  ** Generated **

### createLineStyle

    public LineStyle createLineStyle()

  Returns a new object of class 'Line Style'.

  Returns:
    a new object of class 'Line Style'.
  ** Generated **

### createFontStyle

    public FontStyle createFontStyle()

  Returns a new object of class 'Font Style'.

  Returns:
    a new object of class 'Font Style'.
  ** Generated **

### createTitleStyle

    public TitleStyle createTitleStyle()

  Returns a new object of class 'Title Style'.

  Returns:
    a new object of class 'Title Style'.
  ** Generated **

### createSortingStyle

    public SortingStyle createSortingStyle()

  Returns a new object of class 'Sorting Style'.

  Returns:
    a new object of class 'Sorting Style'.
  ** Generated **

### createDescriptionStyle

    public DescriptionStyle createDescriptionStyle()

  Returns a new object of class 'Description Style'.

  Returns:
    a new object of class 'Description Style'.
  ** Generated **

### createSize

    public Size createSize()

  Returns a new object of class 'Size'.

  Returns:
    a new object of class 'Size'.
  ** Generated **

### createLocation

    public Location createLocation()

  Returns a new object of class 'Location'.

  Returns:
    a new object of class 'Location'.
  ** Generated **

### createBounds

    public Bounds createBounds()

  Returns a new object of class 'Bounds'.

  Returns:
    a new object of class 'Bounds'.
  ** Generated **

### createRatio

    public Ratio createRatio()

  Returns a new object of class 'Ratio'.

  Returns:
    a new object of class 'Ratio'.
  ** Generated **

### createIdentityAnchor

    public IdentityAnchor createIdentityAnchor()

  Returns a new object of class 'Identity Anchor'.

  Returns:
    a new object of class 'Identity Anchor'.
  ** Generated **

### createRoutingStyle

    public RoutingStyle createRoutingStyle()

  Returns a new object of class 'Routing Style'.

  Returns:
    a new object of class 'Routing Style'.
  ** Generated **

### createRelativeBendpoints

    public RelativeBendpoints createRelativeBendpoints()

  Returns a new object of class 'Relative Bendpoints'.

  Returns:
    a new object of class 'Relative Bendpoints'.
  ** Generated **

### createCanonicalStyle

    public CanonicalStyle createCanonicalStyle()

  Returns a new object of class 'Canonical Style'.

  Returns:
    a new object of class 'Canonical Style'.
  ** Generated **

### createShapeStyle

    public ShapeStyle createShapeStyle()

  Returns a new object of class 'Shape Style'.

  Returns:
    a new object of class 'Shape Style'.
  ** Generated **

### createConnectorStyle

    public ConnectorStyle createConnectorStyle()

  Returns a new object of class 'Connector Style'.

  Returns:
    a new object of class 'Connector Style'.
  ** Generated **

### createDiagram

    public Diagram createDiagram()

  Returns a new object of class 'Diagram'.

  Returns:
    a new object of class 'Diagram'.
  ** Generated **

### createImage

    public Image createImage()

  Returns a new object of class 'Image'.

  Returns:
    a new object of class 'Image'.
  ** Generated **

### createPageStyle

    public PageStyle createPageStyle()

  Returns a new object of class 'Page Style'.

  Returns:
    a new object of class 'Page Style'.
  ** Generated **

### createDrawerStyle

    public DrawerStyle createDrawerStyle()

  Returns a new object of class 'Drawer Style'.

  Returns:
    a new object of class 'Drawer Style'.
  ** Generated **

### createGuideStyle

    public GuideStyle createGuideStyle()

  Returns a new object of class 'Guide Style'.

  Returns:
    a new object of class 'Guide Style'.
  ** Generated **

### createGuide

    public Guide createGuide()

  Returns a new object of class 'Guide'.

  Returns:
    a new object of class 'Guide'.
  ** Generated **

### createFilteringStyle

    public FilteringStyle createFilteringStyle()

  Returns a new object of class 'Filtering Style'.

  Returns:
    a new object of class 'Filtering Style'.
  ** Generated **

### createDiagramStyle

    public DiagramStyle createDiagramStyle()

  Returns a new object of class 'Diagram Style'.

  Returns:
    a new object of class 'Diagram Style'.
  ** Generated **

### createImageStyle

    public ImageStyle createImageStyle()

  Returns a new object of class 'Image Style'.

  Returns:
    a new object of class 'Image Style'.
  ** Generated **

### createImageBufferStyle

    public ImageBufferStyle createImageBufferStyle()

  Returns a new object of class 'Image Buffer Style'.

  Returns:
    a new object of class 'Image Buffer Style'.
  ** Generated **

### getNotationPackage

    public NotationPackage getNotationPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.